# Generated by Django 3.1.8 on 2022-05-12 16:57

from django.db import migrations, models
import django.db.models.deletion


def forwards_func(apps, schema_editor):
    # Set event to the corresponding even (from the AK) each
    AKOrgaMessage = apps.get_model("AKModel", "AKOrgaMessage")
    for message in AKOrgaMessage.objects.all():
        message.event = message.ak.event
        message.save()


def reverse_func(apps, schema_editor):
    # No need to do something here, field will be deleted anyway
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('AKModel', '0049_interest_window'),
    ]

    operations = [
        migrations.AddField(
            model_name='akorgamessage',
            name='event',
            field=models.ForeignKey(blank=True, help_text='Associated event', null=True,
                                    on_delete=django.db.models.deletion.CASCADE, to='AKModel.event',
                                    verbose_name='Event'),
        ),
        migrations.RunPython(forwards_func, reverse_func),
        migrations.AlterField(
            model_name='akorgamessage',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.event', verbose_name='Event'),
        ),
    ]
